#region AuthorHeader
//
//	SpellCrafting version 1.0, by Partystuffcloseouts/Soultaker
//
//  Based on original ideas and code by Xanthos and TheOutkastDev
//
#endregion AuthorHeader
using System;
using System.Collections;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.SeedFlowerVendor.Mobiles
{
	public class SBSeedBox : SBInfo
	{
		private ArrayList m_BuyInfo = new InternalBuyInfo();
		private IShopSellInfo m_SellInfo = new InternalSellInfo();

		public SBSeedBox()
		{
		}

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } }
		public override ArrayList BuyInfo { get { return m_BuyInfo; } }

		public class InternalBuyInfo : ArrayList
		{
			public InternalBuyInfo()
			{
				Add( new GenericBuyInfo( "1060662", typeof( SeedBox ), 20000, 5, 0xE41, 0x10F ) );				
			}
		}

		public class InternalSellInfo : GenericSellInfo
		{
			public InternalSellInfo()
			{
				Add( typeof( SeedBox ), 10000 );
			}
		}
	}
}
